Subject: bug#30190: 27.0.50; term run in line mode shows user passwords

From: Noam Postavsky <[email-masked]>
Date: Sat, 3 Feb 2018 21:29:32 -0500

On Sat, Feb 3, 2018 at 9:23 PM, Tino Calancha <[email-masked]> wrote:

>> Doesn't look like that much of a risk to me: the user immediately sees
>> the problem, so it's more of a minor nuisance.
>
> It depends of the situation.  Few years ago, my boss watched my password
> because this thing; if the password would be an offensive word
> against him (it wasn't, he was nice) I could be fired.  I remember he
> mnetioned very proudly that in vi editor the password is always hidden...
>
> This is also a risk while pair-programming; recently I am doing a lot with
> several buddies.  I suspect one of my passwords might be compromised.

But why wouldn't you just switch to char-mode before entering your
password? (which is kind of annoying to have to do, but still)